"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.downloadBuffer = exports.download = void 0;
const node_fetch_1 = require("node-fetch");
const download = (url) => __awaiter(void 0, void 0, void 0, function* () {
    const res = yield node_fetch_1.default(url);
    return res.text();
});
exports.download = download;
const downloadBuffer = (url) => __awaiter(void 0, void 0, void 0, function* () {
    const res = yield node_fetch_1.default(url);
    return res.buffer();
});
exports.downloadBuffer = downloadBuffer;
//# sourceMappingURL=download.js.map